classification
Title: multiprocessing.log_to_stderr missing documentation for parameter
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.11, Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: AlexWells, docs@python, lukasz.langa, miss-islington, sobolevn
Priority: normal Keywords: patch

Created on 2021-10-25 14:34 by AlexWells, last changed 2021-10-29 05:53 by sobolevn. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 29226 merged sobolevn, 2021-10-26 09:59
PR 29283 merged miss-islington, 2021-10-28 19:38
PR 29284 merged miss-islington, 2021-10-28 19:38
Messages (6)
msg404965 - (view) Author: Alex Wells (AlexWells) Date: 2021-10-25 14:34
The documentation for multiprocessing.log_to_stderr() specifies that the method takes no parameters. However, intellisense in VSCode and debugging the method both show that there is a single parameter, "level", whose default value is None. 
Documentation here:
https://docs.python.org/3.7/library/multiprocessing.html#multiprocessing.log_to_stderr

The parameter appears to be a shorthand to allow you to both get the logger and specify the required log level in one step, rather than two. The code that handles the "level" parameter appears to do what I'd expect it to do.

I think the documentation simply needs a few words written about the parameter.

Thanks.
msg405237 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-10-28 19:38
New changeset 1fb968c07a76fb2d1ec8c14a0026f1d15828f4a5 by Nikita Sobolev in branch 'main':
bpo-45604: add `level` argument to `multiprocessing.log_to_stderr` func (GH-29226)
https://github.com/python/cpython/commit/1fb968c07a76fb2d1ec8c14a0026f1d15828f4a5
msg405251 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-10-28 19:58
New changeset fb80aede6ab5d10297b787526657b1a6e20a706a by Miss Islington (bot) in branch '3.10':
bpo-45604: add `level` argument to `multiprocessing.log_to_stderr` func (GH-29226) (GH-29283)
https://github.com/python/cpython/commit/fb80aede6ab5d10297b787526657b1a6e20a706a
msg405254 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-10-28 20:03
New changeset 01d11b1d62b869f77e024b3979dbc064e9019b7c by Miss Islington (bot) in branch '3.9':
bpo-45604: add `level` argument to `multiprocessing.log_to_stderr` func (GH-29226) (GH-29284)
https://github.com/python/cpython/commit/01d11b1d62b869f77e024b3979dbc064e9019b7c
msg405255 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-10-28 20:04
Thanks, Nikita! ✨ 🍰 ✨
msg405286 - (view) Author: Nikita Sobolev (sobolevn) * (Python triager) Date: 2021-10-29 05:53
Thanks, Łukasz!

чт, 28 окт. 2021 г. в 23:04, Łukasz Langa <report@bugs.python.org>:

>
> Change by Łukasz Langa <lukasz@langa.pl>:
>
>
> ----------
> resolution:  -> fixed
> stage: patch review -> resolved
> status: open -> closed
> versions: +Python 3.10, Python 3.11, Python 3.9 -Python 3.7
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue45604>
> _______________________________________
>
History
Date User Action Args
2021-10-29 05:53:38sobolevnsetmessages: + msg405286
2021-10-28 20:04:18lukasz.langasetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.9, Python 3.10, Python 3.11, - Python 3.7
2021-10-28 20:04:10lukasz.langasetmessages: + msg405255
2021-10-28 20:03:39lukasz.langasetmessages: + msg405254
2021-10-28 19:58:28lukasz.langasetmessages: + msg405251
2021-10-28 19:38:26miss-islingtonsetpull_requests: + pull_request27547
2021-10-28 19:38:22miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request27546
2021-10-28 19:38:18lukasz.langasetnosy: + lukasz.langa
messages: + msg405237
2021-10-26 09:59:35sobolevnsetkeywords: + patch
nosy: + sobolevn

pull_requests: + pull_request27490
stage: patch review
2021-10-25 14:34:49AlexWellscreate